CRAN Package Check Results for Package Require

Last updated on 2022-06-29 01:50:31 CEST.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 0.0.13 5.37 212.75 218.12 OK
r-devel-linux-x86_64-debian-gcc 0.0.13 4.35 160.33 164.68 OK
r-devel-linux-x86_64-fedora-clang 0.0.13 252.81 NOTE
r-devel-linux-x86_64-fedora-gcc 0.0.13 958.64 NOTE
r-devel-windows-x86_64 0.0.13 30.00 442.00 472.00 OK
r-patched-linux-x86_64 0.0.13 5.49 209.42 214.91 OK
r-release-linux-x86_64 0.0.13 6.34 199.14 205.48 OK
r-release-macos-arm64 0.0.13 28.00 ERROR
r-release-macos-x86_64 0.0.13 250.00 OK
r-release-windows-x86_64 0.0.13 34.00 414.00 448.00 OK
r-oldrel-macos-arm64 0.0.13 194.00 OK
r-oldrel-macos-x86_64 0.0.13 250.00 OK
r-oldrel-windows-ix86+x86_64 0.0.13 12.00 136.00 148.00 OK

Check Details

Version: 0.0.13
Check: for non-standard things in the check directory
Result: NOTE
    Found the following files/directories:
     ‘4.3’
Flavors: r-devel-linux-x86_64-fedora-clang, r-devel-linux-x86_64-fedora-gcc

Version: 0.0.13
Check: tests
Result: ERROR
     Running ‘test-all.R’ [3s/6s]
    Running the tests in ‘tests/test-all.R’ failed.
    Last 13 lines of output:
     -- Installing TimeWarp -- (1 of 1. Estimated time left: ...; est. finish: ...calculating)
     Installing package into '/Volumes/Temp/tmp/RtmpN62pwq/Require/test1/4.2'
     (as 'lib' is unspecified)
     Loading required package: TimeWarp
     Error from testit::assert({ ... at test-1packages.R#62
     Error: isTRUE(out) is not TRUE
     In addition: Warning messages:
     1: package 'TimeWarp' is not available for this version of R
    
     A version of this package for your version of R might be available elsewhere,
     see the ideas at
     https://cran.r-project.org/doc/manuals/r-patched/R-admin.html#Installing-packages
     2: In library(package, lib.loc = lib.loc, character.only = TRUE, logical.return = TRUE, :
     there is no package called 'TimeWarp'
     Execution halted
Flavor: r-release-macos-arm64